<section id="traveller">
    <div class="container-fluid bgclr">
        <ul class="breadcrumb reset">
            <li>
                <a [routerLink]="['/side-menu',{outlets:{sidebar:'aboutus'}}]">AboutUs ></a>
            </li>
            <li class="">
                Edit
    
            </li>
        </ul>
        <div class="card">
            <div class="card-body">
              <form action="" [formGroup]="editckEditorForm" (ngSubmit)="onSubmit(editckEditorForm)">
                <div class="row">
                    <input type="hidden" formControlName="id" [(ngModel)]="this.id">
                    <div class="col-md-12" >
                       
                        <ckeditor  [editor]="Editor" data="" formControlName = "description" [(ngModel)]="this.editcontentArray" [ngClass]="{ 'is-invalid': submitted && f.description.errors }"></ckeditor>
                        <div *ngIf="submitted && f.description.errors" class="invalid-feedback">
                            <div *ngIf="f.description.errors.required">Description is required</div>
                        </div>
                   
                    </div>
                </div>
           
           
            <hr>
            <div class="box-footer">
                <a [routerLink]="['/side-menu',{outlets:{sidebar:'aboutus'}}]"  class="btn btn-success">Back</a>
                <button type="submit" class="btn btn-success float-right" [disabled]="!editckEditorForm.valid">Save</button>
            </div>
           
        </form>
        </div>
       
    </div>
</div>
</section>